clang 8.0.0

Macros | Functions
AnalyzerStatsChecker.cpp File Reference
`#include "clang/StaticAnalyzer/Checkers/BuiltinCheckerRegistration.h"`
`#include "clang/AST/DeclObjC.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/StaticAnalyzer/Core/BugReporter/BugReporter.h"`
`#include "clang/StaticAnalyzer/Core/Checker.h"`
`#include "clang/StaticAnalyzer/Core/CheckerManager.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ExplodedGraph.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ExprEngine.h"`
`#include "llvm/ADT/SmallPtrSet.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/Statistic.h"`
`#include "llvm/Support/raw_ostream.h"`
Include dependency graph for AnalyzerStatsChecker.cpp:

Go to the source code of this file.

## Macros
#define | DEBUG_TYPE "StatsChecker"

## Functions
| STATISTIC (NumBlocks, "The # of blocks in top level functions")
| STATISTIC (NumBlocksUnreachable, "The # of unreachable blocks in analyzing top level functions")

## Macro Definition Documentation

## ◆ DEBUG_TYPE

#define DEBUG_TYPE "StatsChecker"

Definition at line 27 of file AnalyzerStatsChecker.cpp.

## Function Documentation

## ◆ STATISTIC() [1/2]

STATISTIC | ( | NumBlocks | ,
|  | "The # of blocks in top level functions" |
| ) |  |

## ◆ STATISTIC() [2/2]

STATISTIC | ( | NumBlocksUnreachable | ,
|  | "The # of unreachable blocks in analyzing top level functions" |
| ) |  |